std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true, true > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes
Inheritance diagram for std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true, true >:
[legend]

## Public Types

using | __base_type = _Insert_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >
using | __hashtable = typename __base_type::__hashtable
using | __node_gen_type = typename __base_type::__node_gen_type
using | __unique_keys = typename __base_type::__unique_keys
using | const_iterator = typename __base_type::const_iterator
using | iterator = typename __base_type::iterator
using | value_type = typename __base_type::value_type

## Public Member Functions

__ireturn_type | insert (const value_type &__v)
iterator | insert (const_iterator __hint, const value_type &__v)
void | insert (initializer_list< value_type > __l)
template<typename _InputIterator >
void | insert (_InputIterator __first, _InputIterator __last)
std::pair< iterator, bool > | insert (value_type &&__v)
iterator | insert (const_iterator __hint, value_type &&__v)

## Protected Types

using | __hashtable_base = _Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >
using | __ireturn_type = typename __hashtable_base::__ireturn_type
using | __node_alloc_type = __alloc_rebind< _Alloc, __node_type >
using | __node_type = _Hash_node< _Value, _Traits::__hash_cached::value >
using | size_type = typename __hashtable_base::size_type

## Protected Member Functions

__hashtable & | _M_conjure_hashtable ()
template<typename _InputIterator , typename _NodeGetter >
void | _M_insert_range (_InputIterator __first, _InputIterator __last, const _NodeGetter &)

## Detailed Description

### template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>
struct std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true, true >

Specialization.

Definition at line 789 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h